Bug 52265 - REGRESSION (r72141): Very Slow Rendering With Certain Markup
Summary: REGRESSION (r72141): Very Slow Rendering With Certain Markup
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P1 Normal
Assignee: Nobody
URL: http://code.google.com/p/chromium/iss...
Keywords: InRadar, Regression
: 52765 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-11 17:27 PST by John Hilliard
Modified: 2011-01-20 12:50 PST (History)
6 users (show)

See Also:


Attachments
The file that causes the error (656 bytes, text/html)
2011-01-11 17:27 PST, John Hilliard
no flags Details
sample of r75294 (40.18 KB, text/plain)
2011-01-12 11:33 PST, Alexey Proskuryakov
no flags Details
Prevent a negative-max-height line from reordering lines and tripping integer overflow logic (20.37 KB, patch)
2011-01-20 12:29 PST, mitz
adele: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hilliard 2011-01-11 17:27:00 PST
Created attachment 78630 [details]
The file that causes the error

What steps will reproduce the problem?
1. Open the attached file

What is the expected result?
The page should load and show the wikipedia log and the word blah.  

What happens instead?
The page takes a really long time to load. If/when it does load, the page is blank



I noticed this error when working with chrome.  It happens with chrome version 9 and 10.  When I load the test page in safari 5 it works fine.  When I load it using the webkit nightly build, it has the same bad behavior as chrome.  If the doctype is change to HTML instead of XHTML it actually works fine.  If you remove the doctype all together, the error persists.  

In the URL i have linked to the bug report that i previously filed on the chrome page
Comment 1 Alexey Proskuryakov 2011-01-11 23:53:08 PST
Confirmed with r75357. Spinning in findNextLineBreak/skipLeadingWhitespace.
Comment 2 Ryosuke Niwa 2011-01-12 00:22:29 PST
Reproduces on r72146 but does not reproduce on r71897.
Comment 3 Ryosuke Niwa 2011-01-12 00:26:34 PST
The only change set that touches editing between this delta is http://trac.webkit.org/changeset/71898/ but it's very unlikely that this change affected the behavior of findNextLineBreak/skipLeadingWhitespace.
Comment 4 Alexey Proskuryakov 2011-01-12 11:33:16 PST
Created attachment 78714 [details]
sample of r75294
Comment 5 Alexey Proskuryakov 2011-01-12 11:43:31 PST
Regressed in r72141 ("font-size:0 is ignored").
Comment 6 Alexey Proskuryakov 2011-01-19 21:46:33 PST
See also: bug 52765.
Comment 7 Alexey Proskuryakov 2011-01-19 21:47:03 PST
<rdar://problem/8890909>
Comment 8 mitz 2011-01-20 12:20:51 PST
*** Bug 52765 has been marked as a duplicate of this bug. ***
Comment 9 mitz 2011-01-20 12:29:23 PST
Created attachment 79633 [details]
Prevent a negative-max-height line from reordering lines and tripping integer overflow logic
Comment 10 Adele Peterson 2011-01-20 12:34:21 PST
Comment on attachment 79633 [details]
Prevent a negative-max-height line from reordering lines and tripping integer overflow logic

View in context: https://bugs.webkit.org/attachment.cgi?id=79633&action=review

> Source/WebCore/ChangeLog:21
> +        cannot start above this line. The nagative maxHeight also caused the integer overflow detection

typo - "nagative"
Comment 11 mitz 2011-01-20 12:50:32 PST
Fixed in r76273.
http://trac.webkit.org/changeset/76273